%   FIG_TBETA is used to represent temperature, lateral anomaly of density and fraction of spinel
%   1% and 99% contours) obtained with the program temspol.m. The represented values
%   of temperature and lateral anomaly of density can be those obtained at the last time iteration, 
%   or those previously extracted with the script extract.m

hold off
count=2;
while count==2
	% answ=input ('Do you want to plot Temperatures or densities? (''T''/''d'') ');
	answ='T';
	if answ=='T' | answ=='t'
		v=[0:200:max(max(T))]';
		[cs,hh]=contourf(x,z,T,v);
		xlabel ('Horizontal distance (m)')
		ylabel ('Depth (m)')
		count=1;
	elseif answ=='D' | answ=='d'
		mini=round(min(min(delta_rho))/10)*10;
	 	vv=[mini:40:max(max(delta_rho))];
		[cs,hh]=contourf(x,z,delta_rho,vv);
		xlabel ('Horizontal distance (m)')
		ylabel ('Depth (m)')
		count=1;
	else
		disp ('That string is not valid.')
		count=2;
	end
end
clabel(cs,hh);

% answ=input ('Do you want to plot olivine to spinel transition lines? (''Y''/''N'') ');
answ='Y';
if answ=='Y' | answ=='y'
	hold on
	v=[0.01,0.99];
	contour(x,z,beta,v,'m');
end

clear count cs hh;

